Core - Bug # 28358

Status: Closed Priority: Should have
Author: Bj6érn Pedersen Category: Extension Manager
Created: 2011-07-21 Assigned To:

Updated: 2014-12-08 Due date:

TYPO3 Version: 4.6

PHP Version:

Complexity: medium

Is Regression: No

Sprint Focus:

Subject: New update function does not warn prominently about locally changed files

Description

The old update module marked all extensions with local changes in the update listing.
This is missing in the new EM, which just overwrites without warning.

Related issues:

related to Core - Feature # 20664: When updating an extension, archive the ol... Closed 2009-06-24
related to Core - Bug # 63898: update function does not warn prominently abou... Closed 2014-12-15
History

#1 - 2011-07-22 00:55 - Tolleiv Nietsch
- Complexity set to medium

#2 - 2011-07-30 13:37 - Steffen Gebert
- Priority changed from Must have to Should have

#3 - 2011-09-24 15:11 - Helmut Hummel
- Target version set to 4.6.0-RC1

#4 - 2011-10-11 16:49 - Xavier Perseguers
- Target version changed from 4.6.0-RC1 to 4.6.0

#5 - 2011-10-25 23:45 - Chris topher

- Target version changed from 4.6.0 to 4.6.1

#6 - 2011-11-02 23:48 - Xavier Perseguers
- Target version deleted (4.6.1)

#7 - 2014-12-08 13:38 - Alexander Opitz

- Status changed from New to Closed

- Is Regression set to No

As this functionality is removed since 6.0 and we are moving onwards to use composer, | close this issue.

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and

an explanation or open a new ticket and add a relation to this ticket number.

#8 - 2014-12-08 20:58 - Stefan Busemann
Yes, but using composer does not solve the issue of locally changed files.
For an administrator it should be visible in EM:
- if a extension was changed locally

- warn before update to a newer version

an alternative could be #20664 - to archive older versions of extensions while updating via EM

#9 - 2014-12-08 20:58 - Stefan Busemann

So | suggest to reopen this ticket
